Get Defined Entity Type
Gets the entity type with the unique identifier (URN)
Gets the entity type with the unique identifier (URN)
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}
COPY
Path Parameters
string
id
Required
id
Responses
200
OK
Returns
DefinedEntityType
of type(s)
application/json;version=9.1.0
{
"id": "urn:vcloud:type:vmware:vspheresddc:1.0.0",
"name": "vspheresddc",
"description": "string",
"nss": "sddc",
"version": "1.1.0",
"inheritedVersion": "1.0.0",
"externalId": "123",
"schema": {
"application/json": {
"type": "object",
"properties": {
"width": {
"type": "number",
"minimum": 0
},
"height": {
"type": "number",
"minimum": 0
}
}
}
},
"vendor": "vmware",
"interfaces": [
"urn:vcloud:interface:vmware.sddc:1.0.0"
],
"hooks": {
"hooks": {}
},
"readonly": false,
"maxImplicitRight": "urn:vcloud:accessLevel:ReadWrite"
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}
Availability
Added in 35.0
On This Page
Defined Entity Type Operations
GET
Get Defined Entity Types
GET
Get Defined Entity Type